/api/adtool/group
post
Add new adtools group
Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
namestringRequired
parentidintegerOptionalDefault:
0Responses
200
success
successbooleanOptionalExample:
truepost/api/adtool/group
PHP (cURL)<?php
$headers = array( //set your username and API key here
'api-key: 44b5498dbcb481a0d00b404c0169af62',
'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here
$data = array(
'name' => 'testGroup',
'parentid' => 0
);
$request = array(
'method' => 'POST',
'path' => 'adtool/group',
'data' => $data
);
/*code below is the same for (almost) every API call */
$curl = curl_init();
$url = $url.'/api/'.$request['path'];
$query = http_build_query($request['data']);
if($request['method'] == 'GET'){
//add query string parameters to the end of the url
$url = $url.'?'.$query;
}else{
//send parameters as POST fields
curl_setopt($curl, CURLOPT_POST, 1);
curl_setopt($curl, CURLOPT_POSTFIELDS, $query);
if($request['method'] != 'POST'){
$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>200
success
{
"success": true,
"result": "adtool group added",
"group": {
"adtool_group_id": "1000",
"name": "testGroup",
"parentid": "0"
}
}delete
delete adtool group
Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
adtool_group_idintegerRequired
Responses
200
success
successbooleanOptionalExample:
truedelete/api/adtool/group
PHP (cURL)<?php
$headers = array( //set your username and API key here
'api-key: 44b5498dbcb481a0d00b404c0169af62',
'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here
$data = array(
'adtool_group_id' => 1000
);
$request = array(
'method' => 'DELETE',
'path' => 'adtool/group',
'data' => $data
);
/*code below is the same for (almost) every API call */
$curl = curl_init();
$url = $url.'/api/'.$request['path'];
$query = http_build_query($request['data']);
if($request['method'] == 'GET'){
//add query string parameters to the end of the url
$url = $url.'?'.$query;
}else{
//send parameters as POST fields
curl_setopt($curl, CURLOPT_POST, 1);
curl_setopt($curl, CURLOPT_POSTFIELDS, $query);
if($request['method'] != 'POST'){
$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>200
success
{
"success": true,
"result": "Group deleted"
}patch
update group
Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
adtool_group_idintegerRequired
namestringRequired
Responses
200
success
successbooleanOptionalExample:
truepatch/api/adtool/group
PHP (cURL)<?php
$headers = array( //set your username and API key here
'api-key: 44b5498dbcb481a0d00b404c0169af62',
'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here
$data = array(
'adtool_group_id' => 1000,
'name' => 'updated adtool group name'
);
$request = array(
'method' => 'PATCH',
'path' => 'adtool/group',
'data' => $data
);
/*code below is the same for (almost) every API call */
$curl = curl_init();
$url = $url.'/api/'.$request['path'];
$query = http_build_query($request['data']);
if($request['method'] == 'GET'){
//add query string parameters to the end of the url
$url = $url.'?'.$query;
}else{
//send parameters as POST fields
curl_setopt($curl, CURLOPT_POST, 1);
curl_setopt($curl, CURLOPT_POSTFIELDS, $query);
if($request['method'] != 'POST'){
$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>200
success
{
"success": true,
"result": "Group updated"
}Last updated
Was this helpful?